<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
include("logos.php");
unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['nombcsv']='ConsultaOrdenArea_' . $fecha_actual . '.csv';
$_SESSION['cadena_csv']= "ORDEN;AREA;";
$nombrepagina = "CONSULTA HOY - MENSAJEROS";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {


            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();

        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <script language="javascript" src="js/popcalendar.js"></script>
    <form action="" method="POST" name="backup"><CENTER>
  
            <?
            $db = new conexion();
            $db->conectarse();

            function titulos() {
              
                echo "<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:400px'>";
                echo "<table border='0' width='720' class='primaria'>";
                echo "<tr class=miTable_tr>";
          
      
            }

            function DibujaOds() {
$mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno())
  {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  }
/*$q="SELECT m.nombre,count(*) cantidad,especial2 area,max(f13)f13,'Inicio de distribucion' Estado,
group_concat(distinct trim(c.orden) order by c.orden desc) os
FROM  gama.guias_proceso c
inner join mensajeros m
on c.id_mensajero=m.id_mensajero
inner join rastreo_guias rg
on c.GUIA = rg.guia
where  especial2 ='40' and 
f13 > curdate()
group by m.id_mensajero order by f13 desc;";*/
$q="SELECT m.nombre,count(*)cantidad,gp.especial2 area,concat(fecha_planilla,' ',hora_planilla)f13,'Inicio de Distribucion' Estado,
group_concat(distinct trim(gp.orden) order by gp.orden desc)os
FROM gama.planillas p
inner join guias_proceso gp
on p.id_mensajero = gp.id_mensajero and p.id_planilla = gp.id_planilla
inner join mensajeros m
on gp.id_mensajero = m.id_mensajero
where fecha_planilla = CURDATE() and gp.especial2='40' group by p.id_mensajero;";
   $result = mysqli_query($mysqli, $q);
    
        $_SESSION['cadena_csv'] .=$num_ods.';'.trim($area).';';
           echo   '<div class="container">
                    <div class="table-responsive">   
                        <table class=""id="tabla_zona" border="1"  cellspacing="0.5" width="100%">
                            <thead>
                                <tr>

<th>Mensajero</th>
<th>Canti.</th>
<th>Fecha</th>
<th>I.Distribucion</th>
<th>Os</th>

                                </tr>
                            </thead>
                            <tbody >
                                '; 
$suma = 0;
while($value = mysqli_fetch_assoc($result))
    {

 $nombre=$value['nombre'];
$os=$value['cantidad'];
$id_estado=$value['f13'];
$zona_1=$value['Estado'];
$zona_10=$value['os'];
$suma = $suma +$os;
echo '
<tr>

<td>'.$nombre.'</td>
<td>'.$os.'</td>
<td>'.$id_estado.'</td>
<td>'.$zona_1.'</td>
<td>'.$zona_10.'</td>

</tr>';  
}
echo '
<tr>
<td style="border:solid 0px ;"></td>
<td>'.$suma.'</td>
<td style="border:solid 0px ;"></td>
<td style="border:solid 0px ;"></td>
<td style="border:solid 0px ;"></td>

</tr>';  
echo '
                            </tbody>
                        </table>
                    </div>
                </div>';

              
}
 
DibujaOds();
         
            echo "</div>";            
            echo "</table>";
            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
            <? pie_de_pagina(); ?>
        </center>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
    </CENTER>
</form>
<script>function copiarAlPortapapeles(tableId) {
  var textRange = document.body.createTextRange(); 
    textRange.moveToElementText(document.getElementById(tableId)); 
    textRange.execCommand("Copy");
}</script>
